library IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

package uart_types is

	type ctrl_t is record
		baudrate	: unsigned(15 downto 0);
	end record;

	type status_t is record
		rx_present	: STD_LOGIC;
		tx_complete	: STD_LOGIC;
		tx_empty	: STD_LOGIC;
		tx_full		: STD_LOGIC;
	end record;
	
end uart_types;
